#include <stdio.h>

#include "boot.h"
#include "insn.h"
#include "log.h"
#include "util.h"

int main() {
    info("Loading program");
    byte_arr_t *prgm = read_file("boot.rom");
    if (prgm == NULL) {
        fatal("Couldn't load program");
    }

    boot_psx_prgm(prgm);

    return 0;
}
